{
  "format_version": "1.10.0",
  "render_controllers": {
    "controller.render.silverlabs_nat.grizzly_bear": {
      "arrays": {
        "textures": {
          "Array.overlay": [
            "Texture.overlay_none",
            "Texture.overlay_white",
            "Texture.overlay_orange",
            "Texture.overlay_magenta",
            "Texture.overlay_light_blue",
            "Texture.overlay_yellow",
            "Texture.overlay_lime",
            "Texture.overlay_pink",
            "Texture.overlay_gray",
            "Texture.overlay_light_gray",
            "Texture.overlay_cyan",
            "Texture.overlay_purple",
            "Texture.overlay_blue",
            "Texture.overlay_brown",
            "Texture.overlay_green",
            "Texture.overlay_red",
            "Texture.overlay_black"
          ]
        }
      },
      "geometry": "q.is_baby ? Geometry.baby : Geometry.default",
      "materials": [
        { "*": "Material.default" }
      ],
      "textures": [
        "q.is_baby ? Texture.baby : Texture.default",
        "q.is_tamed ? Array.overlay[q.property('silverlabs_nat:dye')] : Texture.overlay_none",
        "Texture.overlay_none"
      ],
      "part_visibility": [
        { "normalBody": "!q.is_sheared" },
        { "shearedBody": "q.is_sheared" },
        {
          "normalSnout": "!q.is_sleeping && (!(q.is_angry || (q.is_tamed && q.has_target)) || q.is_baby)"
        },
        {
          "angrySnout": "!q.is_sleeping && (q.is_angry || (q.is_tamed && q.has_target)) && !q.is_baby"
        },
        { "asleep": "q.is_sleeping" },
        {
          "awake": "!q.is_sleeping && (q.is_baby || !(q.is_angry || (q.is_tamed && q.has_target)))"
        },
        {
          "angry": "!q.is_sleeping && (q.is_angry || (q.is_tamed && q.has_target))"
        },
        { "normalArm": "v.is_eating == 0" },
        { "saucyArm": "v.is_eating == 1 || v.is_eating == 2" },
        { "berryArm": "v.is_eating == 1" },
        { "honeyArm": "v.is_eating == 2" },
        { "tie": "q.is_tamed" }
      ]
    }
  }
}
